import xhiveframework


def execute():
	bom = xhiveframework.qb.DocType("BOM")

	(
		xhiveframework.qb.update(bom)
		.set(bom.transfer_material_against, "Work Order")
		.where(bom.with_operations == 0)
	).run()
